%global pypi_name pyprintr

Name:		python-%{pypi_name}
Version:	1.1
Release:	2%{?dist}
Summary:	Module that allows to emulate the print_r() PHP function
Group:		Development/Libraries

License:	GPLv3
URL:		https://github.com/fitoria/pyprintr
Source0:	https://github.com/fitoria/%{pypi_name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	python2-devel

BuildArch:	noarch

%description
pyprintr is a module that allows to emulate the print_r() function of PHP
by printing the objects properties of a class instance and its internal
structure.

%package -n     python2-%{pypi_name}
Summary:	Module that allows to emulate the print_r() PHP function
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
pyprintr is a module that allows to emulate the print_r() function of PHP
by printing the objects properties of a class instance and its internal
structure.

%package -n     python3-%{pypi_name}
Summary:	Module that allows to emulate the print_r() PHP function
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:	python3-devel

%description -n python3-%{pypi_name}
pyprintr is a module that allows to emulate the print_r() function of PHP
by printing the objects properties of a class instance and its internal
structure.

%prep
%setup -q -n %{pypi_name}-%{version}

# Fix invalid shebang
sed -i '1!b;s/!//' printr/__init__.py
%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.md docs/howto.txt
%{python2_sitelib}/*

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md docs/howto.txt
%{python3_sitelib}/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 14 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.1-1
- Update to 1.1
- Adding Python 3 support
- Modernize macros

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 01 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0-3
- Adding workaround for versioned %%{__python2} macros for EPEL

* Fri Jul 25 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0-2
- Adding BuildArch tag
- Fixing invalid shebang issue

* Fri Apr 25 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0-1 
- Initial packaging
